// Extend the Window interface to include the env property
declare global {
  interface Window {
    env?: Record<string, any>;
  }
}

const runtimeEnv = window.env || {};
const compileEnv = import.meta.env;
const env = { ...compileEnv, ...runtimeEnv };
export default env;
